#!/bin/sh
#

EXT=rxvt
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS="xorg-proto Xorg-7.7-dev fontconfig-dev libXft-dev ncurses-utils"

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

export CC="gcc -mtune=generic -Os -pipe -fexceptions"
#export CXX="g++ -mtune=generic -Os -pipe -fno-exceptions -fno-rtti"
export CXX="g++ -mtune=generic -Os -pipe"
export LDFLAGS="-lm"

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--enable-xft \
	--enable-transparency \
	--disable-perl \
	--with-x \
	--enable-256-color \
	|| exit

make || exit

make install DESTDIR=$TCZ-doc
chmod -R ug+w $TCZ-doc
for a in $(find $TCZ-doc -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip --strip-unneeded $a; done

mkdir -p $TCZ/usr/local/bin

cat << EOF > $TCZ/usr/local/bin/rxvt-unicode
#!/bin/busybox sh

######################################################
# rxvt xterm wrapper for Tiny Core Linux
######################################################

urxvt +tr "\$@"
EOF
chmod 755 $TCZ/usr/local/bin/rxvt-unicode

mkdir -p $TCZ/usr/local/share/applications

cat << EOF > $TCZ/usr/local/share/applications/rxvt.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Rxvt-Unicode Terminal
Comment=Use the command line
GenericName=Terminal
Exec=urxvt
Terminal=false
Type=Application
#StartupNotify=true
Keywords=console;command line;execute;
X-FullPathIcon=/usr/local/share/pixmaps/rxvt.png
Icon=rxvt
OnlyShowIn=Old;
Categories=System;
EOF

mkdir -p $TCZ/usr/local/share/pixmaps

cp /mnt/sda1/lamp/contrib/rxvt.png $TCZ/usr/local/share/pixmaps/rxvt.png
chmod 644 $TCZ/usr/local/share/pixmaps/rxvt.png

mkdir -p $TCZ/usr/local/tce.installed

cat << EOF > $TCZ/usr/local/tce.installed/rxvt
#!/bin/sh
[ -f /usr/local/bin/xterm ] || ln -s /usr/local/bin/rxvt-unicode /usr/local/bin/xterm
EOF

cp $TCZ-doc/usr/local/bin/urxvt $TCZ/usr/local/bin

mkdir -p $TCZ/usr/local/share/terminfo
tic -x -o $TCZ/usr/local/share/terminfo doc/etc/rxvt-unicode.terminfo
#chmod 644 $TCZ/usr/local/share/terminfo/r/rxvt-unicode

sudo chown -R root.root $TCZ*
sudo chown -R root.staff $TCZ/usr/local/tce.installed
sudo chmod -R 775 $TCZ/usr/local/tce.installed

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend

